<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/11/20
 * Time: 上午9:28
 */
Route::group(['domain'=>env('CHANNEL_DOMAIN'), 'namespace'=>'App\Http\Controllers\Channel\Notice','prefix'=>'api','middleware'=>'ChannelApiAuth'],function () {

    Route::group(['middleware'=>'ChannelApiAuth'],function (){
        //获取通知列表
        Route::get('notices','NoticesController@get_list')->middleware('ChannelOperateRecord');
        //获取简易通知列表
        Route::get('simpleNotices','NoticesController@get_simple_list')->middleware('ChannelOperateRecord');
        //获取一个通知
        Route::get('getNotice','NoticesController@get_notice')->middleware('ChannelOperateRecord');
        //通知公告分类列表
        Route::get('noticeTypes','NoticeTypesController@get_list')->middleware('ChannelOperateRecord');
        Route::get('fansLimitNotice','NoticesController@getfansLimitNotice')->middleware('ChannelOperateRecord');

    });
    
});